Skip to main content
GET
/
api
/
runs
/
statistics
Get statistics for a run's metrics
curl --request GET \
  --url https://pluto-api.trainy.ai/api/runs/statistics \
  --header 'Authorization: Bearer <token>'
{
  "runId": 123,
  "runName": "<string>",
  "projectName": "<string>",
  "url": "<string>",
  "metrics": [
    {
      "logName": "<string>",
      "logGroup": "<string>",
      "count": 123,
      "min": 123,
      "max": 123,
      "mean": 123,
      "stddev": 123,
      "first": {
        "step": 123,
        "value": 123
      },
      "last": {
        "step": 123,
        "value": 123
      },
      "anomalies": [
        {
          "step": 123,
          "value": 123,
          "type": "spike",
          "description": "<string>"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.trainy.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from the mlop dashboard

Query Parameters

runId
number | null

Numeric run ID

projectName
string
required

Project name

logName
string

Filter by specific metric name (e.g., train/loss)

logGroup
string

Filter by metric group (e.g., train)

Response

Statistics for metrics

runId
number
required
runName
string
required
projectName
string
required
url
string
required

URL to view this run in the UI

metrics
object[]
required